Subject: Re: [EAI] I-D ACTION:draft-ietf-eai-utf8headers-10.txt

From: "Frank Ellermann" <[email-masked]>
Date: Thu, 17 Apr 2008 01:17:25 +0200

> Filename : draft-ietf-eai-utf8headers-10.txt

---
In 1.1, bullet 3, please strike "And, finally," 
(the final bullet 3 was removed swapping 2 & 3)

---
Please promote reference [I-D.ietf-eai-smtpext]
to "normative".

---
In chapter 3 (terminology) please adjust the
commas between [RFC2821] ,[RFC2822] , [RFC4592]

---
In chapter 4.1 <UTF8-4> is apparently wrong (?)

| UTF8-4          =   %xF0 %x90-BF 2(UTF8-tail) /
-                     %xF1-F7 3(UTF8-tail)

| UTF8-4          =   %xF0 %x90-BF 2(UTF8-tail) /
+                     %xF1-F3 3(UTF8-tail) /
+                     %xF4 %x80-8F 2(UTF8-tail)

(Makes no sense to get F0 right if F4 is wrong)

---
- For keeping informations, using UTF8 to normalize
- texts and recipient address is needed.  It's refered
- to [RFC5198].  And [RFC5198] has a discussion of
- issues on recommended practices for normalizing text
- before sending. normalized versus non-normalized 
- text.

+ See [RFC5198] for a discussion of normalization,
+ the use of normalization form NFC is RECOMMENDED.

(As far as I'm concerned RFC 5198 can be "normative")

---
In chapter 4.3 *copying* the syntax of FWS and CFWS
is IMO a bad idea, simply *import* it, example:

- FWS     =  ([*WSP CRLF] 1*WSP) /  obs-FWS
-                         ; Folding white space
+ FWS     = <see RFC 2822, folding white space>

---
Pleae replace "characters in <message-id>,which" ...
by "characters in <msg-id>, which" ...  This affects
not only Message-ID header fields, it is also about
References and In-Reply-To.  

I don't understand in which way this is "not allowed
due to the limitation described in Section 4.4", but
allowing it would certainly cause havoc.

---
<utf8-quoted-pair> is just sick, but I mentioned
this often enough.

---
- [NOTE IN DRAFT] ...
(twice, this is supposed to be already cleaned up, please do).

---
- To able to use UTF-8 on Content-Description header field on
- [RFC2045], following syntax is used
| description   = "Content-Description:" unstructured CRLF
|
- <utext> syntax is extended on next chapter to allow UTF-8
- characters on <unstructured> header fields.

+ To allow the use of UTF-8 in a Content-Description header
+ field [RFC2045], the following syntax is used:
| description   = "Content-Description:" unstructured CRLF
|
+ The <utext> syntax is extended above to allow UTF-8 in all
+ <unstructured> header fields.

(It's not in the next chapter, it's above)

---
Chapter 4.4:

- alt-address    =  [FWS] "<" addr-spec ">"
+ alt-address    =  FWS "<" addr-spec ">"

(not optional, we intentionally want a visible separator)

---
Chapter 6:

- Since the message/global is defined in this document, IANA
- considerations needs to say that IANA is requested to register it.

Yes, that is exactly the idea, but you could simply say:

+ IANA is asked to register the message/global MIME type
+ using the registration form contained in chapter 4.4.

---

 Frank

_______________________________________________
IMA mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ima

---

From: "Frank Ellermann" <[email-masked]>
Date: Tue, 22 Apr 2008 22:06:37 +0200

>> Filename : draft-ietf-eai-utf8headers-10.txt
[...]

13 of 13 nits fixed in draft 11, the RFC-editor
can remove the remaining [NOTE IN DRFAFT] in 4.3
as they see fit.  

Thanks, 

 Frank